Debian Bug report logs - #174456
celestia: Please clarify copyright license of textures/image data

version graph

Package: celestia; Maintainer for celestia is Guus Sliepen <guus@debian.org>; Source for celestia is src:celestia.

Reported by: "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>

Date: Fri, 27 Dec 2002 13:48:02 UTC

Severity: serious

Tags: sarge-ignore

Found in versions 1.2.2-5, celestia/1.5.1+dfsg1-1

Done: Guus Sliepen <guus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>:
New Bug report received and forwarded. Copy sent to mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Fri, 27 Dec 2002 14:32:52 +0100
Package: celestia
Version: 1.2.2-5
Severity: serious
Justification: Policy 2.1.6

There are no copyright notices provided regarding  the star data sets 
used by Celestia under the data/ dir and the textures and models provided
under textures/ and models/.

As for the start catalog data it seems to use the HD catalog and the
HIPPARCOS data set (from reading the README).

I believe the HD catalog is the "Henry Draper catalog". AFAIK this catalog has
been distributed (in machine readable form) in the NASA/GSFC Astronomical
Data Center (ADC) CD-ROM.

However reading http://adc.gsfc.nasa.gov/adc/adccdrom4_R2_doc.html
says:


>>>
Note: The data contained herein are for scientific use only and have no
commercial value. Use of these data in publications of any kind should be
acknowledged by reference to the original authors and publication and to the
ADC CD-ROM. The acknowledgment might read as follows: This paper uses data
provided by Jane Astronomer in AJ,110,1992 as distributed by the
Astronomical Data Center at NASA GSFC on the CD-ROM "Selected Astronomical
Catalogs" Vol. 4, NASA Publication NP-1997(10)-042-GSFC, 1997.
<<<

The Hipparcos catalog, also, does not seem to hold a proper license or
copyright information. This catalog has been produced by the ESA:
http://astro.estec.esa.nl/Hipparcos/catalog.html. Are they in the public
domain? I guess so, but it doesn't say so anywhere....


As for the models, it's not perfectly clear that the authors of them have
provided under the same license that the software uses (GPL). For example,
the  Venus, Saturn, and Saturn's rings textures are said to be extracted
from http://www.mmedia.is/~bjj/acknow.html. The copyright of that site is
_not_ GPL: 

"All the planetary maps on these pages are publicly available.
You do not need a special permission to use them but if you do then please
mention their origin in your work, e.g. "created by Björn Jónsson" (or
"Bjorn Jonsson" for all of you 8 bit character set challenged out there ;)
or something equivalent. "

The planet maps from David Seal's site: http://maps.jpl.nasa.gov/ also
hold a non-GPL license. The site points to
http://www.jpl.nasa.gov/copyrights.html which states: 

"JPL authored documents are sponsored by NASA are sponsored by NASA 
under Contract NAS7-1407. All documents available from
this server may be protected under the U.S. and Foreign Copyright Laws.
Permission to reproduce may be required. "

This is not a proper DFSG license at all. As a matter of fact, in absence of
license, we have to assume that it is _not_ DFSG-free.

This is a difficult issue, and probably it will take time to decide wether
or not all the information available and used by Celestia is DFSG-free,
however I think that, at the very least, and until this issue is fixed, the
debian/copyright should hold _much_ more than the GPL license.

Regards

	Javier Fernandez-Sanguino


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tornado 2.4.18 #1 SMP mié abr 3 12:47:49 CEST 2002 i686
Locale: LANG=es_ES@euro, LC_CTYPE=es_ES@euro

Versions of packages celestia depends on:
ii  gdk-imlib1              1.9.14-2         Gdk-Imlib is an imaging library fo
ii  glutg3                  3.7-14           The OpenGL Utility Toolkit.
ii  gtkglarea5              1.2.3-1          Gimp Toolkit OpenGL area widget sh
ii  libart2                 1.4.1.4-3        The Gnome canvas widget - runtime 
ii  libaudiofile0           0.2.3-4          The Audiofile Library
ii  libc6                   2.3.1-5          GNU C Library: Shared libraries an
ii  libdb3                  3.2.9-17         Berkeley v3 Database Libraries [ru
ii  libesd0                 0.2.23-3         Enlightened Sound Daemon - Shared 
ii  libglib1.2              1.2.10-4         The GLib library of C routines
ii  libgnome32              1.4.1.4-3        The Gnome libraries
ii  libgnomesupport0        1.4.1.4-3        The Gnome libraries (Support libra
ii  libgnomeui32            1.4.2-8          The GNOME libraries (User Interfac
ii  libgtk1.2               1.2.10-11        The GIMP Toolkit set of widgets fo
ii  libjpeg62               6b-5             The Independent JPEG Group's JPEG 
ii  libpng2                 1.0.12-3.woody.3 PNG library - runtime
ii  libstdc++2.10-glibc2.2  1:2.95.4-15      The GNU stdc++ library
ii  xlibmesa3 [libgl1]      4.1.0-16         XFree86 version of Mesa 3D graphic
ii  xlibs                   4.1.0-16         X Window System client libraries




Information forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to "Marcelo E. Magallon" <mmagallo@debian.org>:
Extra info received and forwarded to list. Copy sent to mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 174456@bugs.debian.org (full text, mbox):

From: "Marcelo E. Magallon" <mmagallo@debian.org>
To: Javier Fernandez-Sanguino Pena <jfs@dat.etsit.upm.es>, 174456@bugs.debian.org, celestia-developers@lists.sourceforge.net
Subject: Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 30 Dec 2002 22:13:18 +0100
Hi people,

 please keep the following addresses in the Cc:

    174456@bugs.debian.org
    jfs@dat.etsit.upm.es
    celestia-developers@lists.sourceforge.net

 For future reference, you can track this issue at the URL:

    http://bugs.debian.org/174456

 The quoted text is from Javier, who made me aware of this issues.  I
 haven't removed any of the original text.  You can find it in the
 original form at the URL quoted above.

 > There are no copyright notices provided regarding the star data sets
 > used by Celestia under the data/ dir and the textures and models
 > provided under textures/ and models/.
 >
 > As for the start catalog data it seems to use the HD catalog and the
 > HIPPARCOS data set (from reading the README).
 >
 > I believe the HD catalog is the "Henry Draper catalog". AFAIK this
 > catalog has been distributed (in machine readable form) in the
 > NASA/GSFC Astronomical Data Center (ADC) CD-ROM.
 >
 > However reading http://adc.gsfc.nasa.gov/adc/adccdrom4_R2_doc.html
 > says:
 >
 > >>>
 > Note: The data contained herein are for scientific use only and have
 > no commercial value. Use of these data in publications of any kind
 > should be acknowledged by reference to the original authors and
 > publication and to the ADC CD-ROM. The acknowledgment might read as
 > follows: This paper uses data provided by Jane Astronomer in
 > AJ,110,1992 as distributed by the Astronomical Data Center at NASA
 > GSFC on the CD-ROM "Selected Astronomical Catalogs" Vol. 4, NASA
 > Publication NP-1997(10)-042-GSFC, 1997.
 > <<<

 This one is going to be thorny.  I guess you could read "[...] and have
 no commercial value" as meaning that it can't be bound with other parts
 for profit.  That might be sound harmless to you, but it's an actual
 problem for Debian.  Packages in Debian have to adhere to the Debian
 Free Software Guidelines[0].  In particular:

  6. No Discrimination Against Fields of Endeavor

     The license must not restrict anyone from making use of the program
     in a specific field of endeavor. For example, it may not restrict
     the program from being used in a business, or from being used for
     genetic research.

 in plain English, if a license says "do whatever you want with this,
 but don't use it for commercial purposes" it's not DFSG-ok.  The data
 comes from NASA, an US Goverment Agency.  That means the data is
 released to the public domain at _some_ point in time.  There are
 exceptions to that.  I don't know what the situation with this
 particular dataset is.  That said, I'm of the opinion that the DFSG
 apply to _software_, and data is not software.  The problem is we have
 never managed to get a concensus on what is ok for data.  From my point
 of view, if a dataset says "you can use it but you have to acknowledge
 our work" it's _fine_.  If it's says "it's freely available", even
 better.

 > The Hipparcos catalog, also, does not seem to hold a proper license
 > or copyright information. This catalog has been produced by the ESA:
 > http://astro.estec.esa.nl/Hipparcos/catalog.html. Are they in the
 > public domain? I guess so, but it doesn't say so anywhere....

 Well, AFAIK the reduced HIPPARCOS data is in the public domain, but I
 don't have access to the ESA CD-ROMs here to verify this information.
 Chris, where did you get that data from?  Is there a copyright notice
 attached to it?  HIPPARCOS was financed by ESA, and I don't really know
 what ESA's policy in these matters is.

 > As for the models, it's not perfectly clear that the authors of them
 > have provided under the same license that the software uses (GPL).
 > For example, the  Venus, Saturn, and Saturn's rings textures are said
 > to be extracted from http://www.mmedia.is/~bjj/acknow.html. The
 > copyright of that site is _not_ GPL:
 >
 > "All the planetary maps on these pages are publicly available.  You
 > do not need a special permission to use them but if you do then
 > please mention their origin in your work, e.g. "created by Björn
 > Jónsson" (or "Bjorn Jonsson" for all of you 8 bit character set
 > challenged out there ;) or something equivalent. "

 It doesn't say you can't give them to other people.  A clarification
 from the author would be a plus.  Again, this is data.  "To use" in the
 case of data can't possibly mean the same as in the case of software --
 it makes no sense.  Using data means modifying it in some way, e.g. you
 have to read JPEG files in and convert them to a different
 representation before being able to display them.  People will _surely_
 argue that that kind of use does not cover creating derived works.  I
 for one am ok with that (until someone convinces me that taking and
 RFC, modifying parts of it and giving it to other people in the same
 way you can do with Free Software actually makes sense).

 From a more practical point of view, for Chris and the rest of the team
 it would be _extremely_ important to get that kind of permission from
 the original author(s).  Since the author does not say that you can
 distribute his work to other people, you might eventually find yourself
 in the extremely uncomfortable situation of facing a claim of
 redistribution of copyrighted work without permission from the
 copyright holder.

 > The planet maps from David Seal's site: http://maps.jpl.nasa.gov/
 > also hold a non-GPL license. The site points to
 > http://www.jpl.nasa.gov/copyrights.html which states: 
 >
 > "JPL authored documents are sponsored by NASA are sponsored by NASA
 > under Contract NAS7-1407. All documents available from this server
 > may be protected under the U.S. and Foreign Copyright Laws.
 > Permission to reproduce may be required. "
 >
 > This is not a proper DFSG license at all. As a matter of fact, in
 > absence of license, we have to assume that it is _not_ DFSG-free.

 That's in fact what "may be protected under the U.S. and Foreign
 Copyright Laws" means.

 "But these are just photos of planets!" someone might say.  Yes, but
 Mr. Adams' photographs are just mountains... that doesn't mean you can
 copy them and distribute them without Mr. Adams' permission.  And I'm
 sure Mr. Adams would be mightly pissed off if you modify them (say, you
 clip them) and then redistribute them.

 > This is a difficult issue, and probably it will take time to decide
 > wether or not all the information available and used by Celestia is
 > DFSG-free, however I think that, at the very least, and until this
 > issue is fixed, the debian/copyright should hold _much_ more than the
 > GPL license.

 Sure.

 To summarize: permission to _at least_ use and redistribute (possibly
 in modified form) the data from the catalogs is needed.  The same thing
 holds for the textures.  Celestia has other kinds of data, but that
 falls comfortably under "fair use" (the other data doesn't because
 those are complete works).  Giving credit for that data would be
 nevertheless a big plus.

 Marcelo

 [0] Sorry, I don't have an URL handy.  Just go to
     http://www.debian.org/ and look for "Social Contract" at the left
     side (it's close to the top).  The DFSG are at the bottom half of
     that document.

-- 
Marcelo             | The hippo of recollection stirred in the muddy waters
mmagallo@debian.org | of the mind.
                    |         -- (Terry Pratchett, Soul Music)



Information forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Chris Laurel <claurel@www.shatters.net>:
Extra info received and forwarded to list. Copy sent to mmagallo@debian.org (Marcelo E. Magallon), celestia@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 174456@bugs.debian.org (full text, mbox):

From: Chris Laurel <claurel@www.shatters.net>
To: "Marcelo E. Magallon" <mmagallo@debian.org>
Cc: Javier Fernandez-Sanguino Pena <jfs@dat.etsit.upm.es>, <174456@bugs.debian.org>, <celestia-developers@lists.sourceforge.net>
Subject: Re: [Celestia-developers] Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Tue, 31 Dec 2002 10:45:27 -0800 (PST)
On Mon, 30 Dec 2002, Marcelo E. Magallon wrote:

> Hi people,
> 
>  please keep the following addresses in the Cc:
> 
>     174456@bugs.debian.org
>     jfs@dat.etsit.upm.es
>     celestia-developers@lists.sourceforge.net
> 
>  For future reference, you can track this issue at the URL:
> 
>     http://bugs.debian.org/174456
> 
>  The quoted text is from Javier, who made me aware of this issues.  I
>  haven't removed any of the original text.  You can find it in the
>  original form at the URL quoted above.
> 
>  > There are no copyright notices provided regarding the star data sets
>  > used by Celestia under the data/ dir and the textures and models
>  > provided under textures/ and models/.
>  >
>  > As for the start catalog data it seems to use the HD catalog and the
>  > HIPPARCOS data set (from reading the README).
>  >
>  > I believe the HD catalog is the "Henry Draper catalog". AFAIK this
>  > catalog has been distributed (in machine readable form) in the
>  > NASA/GSFC Astronomical Data Center (ADC) CD-ROM.
>  >
>  > However reading http://adc.gsfc.nasa.gov/adc/adccdrom4_R2_doc.html
>  > says:
>  >
>  > >>>
>  > Note: The data contained herein are for scientific use only and have
>  > no commercial value. Use of these data in publications of any kind
>  > should be acknowledged by reference to the original authors and
>  > publication and to the ADC CD-ROM. The acknowledgment might read as
>  > follows: This paper uses data provided by Jane Astronomer in
>  > AJ,110,1992 as distributed by the Astronomical Data Center at NASA
>  > GSFC on the CD-ROM "Selected Astronomical Catalogs" Vol. 4, NASA
>  > Publication NP-1997(10)-042-GSFC, 1997.
>  > <<<
> 
>  This one is going to be thorny.  I guess you could read "[...] and have
>  no commercial value" as meaning that it can't be bound with other parts
>  for profit.  That might be sound harmless to you, but it's an actual
>  problem for Debian.  Packages in Debian have to adhere to the Debian
>  Free Software Guidelines[0].  In particular:

>   6. No Discrimination Against Fields of Endeavor
> 
>      The license must not restrict anyone from making use of the program
>      in a specific field of endeavor. For example, it may not restrict
>      the program from being used in a business, or from being used for
>      genetic research.
> 
>  in plain English, if a license says "do whatever you want with this,
>  but don't use it for commercial purposes" it's not DFSG-ok.  The data
>  comes from NASA, an US Goverment Agency.  That means the data is
>  released to the public domain at _some_ point in time.  There are
>  exceptions to that.  I don't know what the situation with this
>  particular dataset is.  That said, I'm of the opinion that the DFSG
>  apply to _software_, and data is not software.  The problem is we have
>  never managed to get a concensus on what is ok for data.  From my point
>  of view, if a dataset says "you can use it but you have to acknowledge
>  our work" it's _fine_.  If it's says "it's freely available", even
>  better.

The HD catalog is *not* used by Celestia, so there's no problem here . . .  
Celestia does use the HD catalog numbers, which were correllated with 
Hipparcos stars by the ESA.  But, the star data included with Celestia is 
entirely derived from the Hipparcos catalog.
> 
>  > The Hipparcos catalog, also, does not seem to hold a proper license
>  > or copyright information. This catalog has been produced by the ESA:
>  > http://astro.estec.esa.nl/Hipparcos/catalog.html. Are they in the
>  > public domain? I guess so, but it doesn't say so anywhere....
> 
>  Well, AFAIK the reduced HIPPARCOS data is in the public domain, but I
>  don't have access to the ESA CD-ROMs here to verify this information.
>  Chris, where did you get that data from?  Is there a copyright notice
>  attached to it?  HIPPARCOS was financed by ESA, and I don't really know
>  what ESA's policy in these matters is.

I have the ESA's Hipparcos/Tycho CD-ROM and it says absolutely nothing 
about a license.  I assume that this data is in the public domain, but I 
can't say for certain.  In any event, the fact that no copyright was 
included on their own CD-ROM, suggests to me that the ESA won't be chasing 
anyone down for using their data set.

>  > As for the models, it's not perfectly clear that the authors of 
them
>  > have provided under the same license that the software uses (GPL).
>  > For example, the  Venus, Saturn, and Saturn's rings textures are said
>  > to be extracted from http://www.mmedia.is/~bjj/acknow.html. The
>  > copyright of that site is _not_ GPL:
>  >
>  > "All the planetary maps on these pages are publicly available.  You
>  > do not need a special permission to use them but if you do then
>  > please mention their origin in your work, e.g. "created by Björn
>  > Jónsson" (or "Bjorn Jonsson" for all of you 8 bit character set
>  > challenged out there ;) or something equivalent. "
> 
>  It doesn't say you can't give them to other people.  A clarification
>  from the author would be a plus.  Again, this is data.  "To use" in the
>  case of data can't possibly mean the same as in the case of software --
>  it makes no sense.  Using data means modifying it in some way, e.g. you
>  have to read JPEG files in and convert them to a different
>  representation before being able to display them.  People will _surely_
>  argue that that kind of use does not cover creating derived works.  I
>  for one am ok with that (until someone convinces me that taking and
>  RFC, modifying parts of it and giving it to other people in the same
>  way you can do with Free Software actually makes sense).
> 
>  From a more practical point of view, for Chris and the rest of the team
>  it would be _extremely_ important to get that kind of permission from
>  the original author(s).  Since the author does not say that you can
>  distribute his work to other people, you might eventually find yourself
>  in the extremely uncomfortable situation of facing a claim of
>  redistribution of copyrighted work without permission from the
>  copyright holder.

I have contacted the Bjorn Jonsson and James Hastings-Trew about the use 
of their textures, and got permission from both of them.  I attempted to 
contact Scott Hudson about the use of the asteroid models, but received no 
response from him.  The link to his site is here: 
http://www.eecs.wsu.edu/~hudson/Research/Asteroids/models.html

>  > The planet maps from David Seal's site: http://maps.jpl.nasa.gov/
>  > also hold a non-GPL license. The site points to
>  > http://www.jpl.nasa.gov/copyrights.html which states: 
>  >
>  > "JPL authored documents are sponsored by NASA are sponsored by NASA
>  > under Contract NAS7-1407. All documents available from this server
>  > may be protected under the U.S. and Foreign Copyright Laws.
>  > Permission to reproduce may be required. "
>  >
>  > This is not a proper DFSG license at all. As a matter of fact, in
>  > absence of license, we have to assume that it is _not_ DFSG-free.
> 
>  That's in fact what "may be protected under the U.S. and Foreign
>  Copyright Laws" means.
> 
>  "But these are just photos of planets!" someone might say.  Yes, but
>  Mr. Adams' photographs are just mountains... that doesn't mean you can
>  copy them and distribute them without Mr. Adams' permission.  And I'm
>  sure Mr. Adams would be mightly pissed off if you modify them (say, you
>  clip them) and then redistribute them.
> 
>  > This is a difficult issue, and probably it will take time to decide
>  > wether or not all the information available and used by Celestia is
>  > DFSG-free, however I think that, at the very least, and until this
>  > issue is fixed, the debian/copyright should hold _much_ more than the
>  > GPL license.
> 
>  Sure.
> 
>  To summarize: permission to _at least_ use and redistribute (possibly
>  in modified form) the data from the catalogs is needed.  The same thing
>  holds for the textures.  Celestia has other kinds of data, but that
>  falls comfortably under "fair use" (the other data doesn't because
>  those are complete works).  Giving credit for that data would be
>  nevertheless a big plus.

If it would be helpful, I can provide a list with the source of each 
texture.  A number of them were contributed by Celestia users, who
assembled them from JPL images; I don't know what the copyright 
restrictions are on the original Voyager, Galileo, and Cassini images is, 
and how it treats images derived from them.

--Chris





Tags added: woody Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon):
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Mika Fischer <mika_fischer@gmx.net>:
Extra info received and forwarded to list. Copy sent to mmagallo@debian.org (Marcelo E. Magallon). Full text and rfc822 format available.

Message #26 received at 174456@bugs.debian.org (full text, mbox):

From: Mika Fischer <mika_fischer@gmx.net>
To: Chris Laurel <claurel@www.shatters.net>
Cc: "Marcelo E. Magallon" <mmagallo@debian.org>, Javier Fernandez-Sanguino Pena <jfs@dat.etsit.upm.es>, 174456@bugs.debian.org, celestia-developers@lists.sourceforge.net
Subject: Re: [Celestia-developers] Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 1 Sep 2003 15:33:28 +0200
Hi, Chris. Hi, all the others!

Marcello orphaned celestia and I'm the new maintainer.
Celestia's biggest problem is the legal status of the textures so I'm
trying to clarify some of that.

First I'll go through your mail from December:
* Chris Laurel <claurel@www.shatters.net> [2003-07-03 09:53]:
> The HD catalog is *not* used by Celestia, so there's no problem here . . . 
> Celestia does use the HD catalog numbers, which were correllated with 
> Hipparcos stars by the ESA.  But, the star data included with Celestia is 
> entirely derived from the Hipparcos catalog.

Very good. The Hipparcos Catalog seems to be in the public domain (I'll
try to get a clear source for this, but I assume it is true) and thus we
can drop this issue.

> I have contacted the Bjorn Jonsson and James Hastings-Trew about the use 
> of their textures, and got permission from both of them.

What is important for Debian is that one may modify and redistribute
the work non-comercially *and* commercially.
Also these rights must apply to anyone not only the Celestia developers
or Debian.

So if you get the authors to grant you certain rights, could you please
include an additional file in your distributed package that states what
rights are granted by the copyright holder.

> If it would be helpful, I can provide a list with the source of each 
> texture.

That would certainly be helpful. Even more helpful would be a statement
clarifying what one is allowed to do with the works.

> A number of them were contributed by Celestia users, who
> assembled them from JPL images;

This is not good, see below.

> I don't know what the copyright restrictions are on the original
> Voyager, Galileo, and Cassini images is, and how it treats images
> derived from them.

I don't know either. Do you have a source?

The problem for celestia is that you claim to distribute the package
under the terms of the GPL.
For the data that is not in the public domain this is problematic as you
are granting more rights than the original author. Or worse you may not
even have the right to distribute the works at all.

So the important thing to do is to clearly state which parts of celestia
are not under the GPL but licensed otherwise.

If you have to do the same with works in the public domain I don't know.
I'll try to find that out.

I have gone through the list of sources in celestia's README:
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> Models of Mars Global Surveyor and Mars Odyssey were created by
> Shrox: http://www.shrox.com/

No information on the page regarding licensing.

> Most of the planet maps are from David Seal's
> site: http://maps.jpl.nasa.gov/.  A few of these maps were modified by
> me, with fictional terrain added to fill in gaps.  The model of the
> Galileo spacecraft is also from David Seal's site (though it was
> converter from Inventor to 3DS format.)

---snip---
JPL Image Policy

JPL images are available for use by the public free of charge. However,
by electing to download images from this web site the user agrees that
Caltech makes no warranties or representations with respect to its
ownership of copyrights for the images, does not represent others who
may claim to be owners of rights in the images, and makes no warranties
as to the quality of the images.

Commercial users (excluding journalistic uses) are required to copy the
JPL Image Release document and return a signed copy to the Caltech's
Intellectual Property Counsel, California Institute of Technology M/C
201-85, Pasadena, California 91125, who will countersign document and
return a copy to you. Copies may be faxed to (626) 577-2528. This
document will become effective when it is countersigned by Caltech.
---snip---

This is certainly not free and thus problematic for Debian.

> The Mars, Moon, and Pluto textures and bump maps are all from
> James Hastings-Trew's collection.  Some of the prettiest planet maps
> around are at http://apollo.spaceports.com/~jhasting/

Page does not exist anymore.
On http://www.jht.cjb.net/ there is no information regarding licensing.

> The Venus, Saturn, and Saturn's rings textures are from Bjorn Jonsson.
> His site is http://www.mmedia.is/~bjj/ and is an excellent resource
> for solar system rendering.

---snip---
All the planetary maps on these pages are publicly available. You do not
need a special permission to use them but if you do then please mention
their origin in your work, e.g. "created by Björn Jónsson" (or "Bjorn
Jonsson" for all of you 8 bit character set challenged out there ;) or
something equivalent.
---snip---

This seems OK.

> The Earth texture was created by NASA using data from the MODIS
> instrument
> aboard the Terra satellite.  Further information is available from
> http://earthobservatory.nasa.gov/Newsroom/BlueMarble/

---snip---
These images are freely available to educators, scientists, museums, and
the public.
---snip---

Seems OK too.

> The textures for the Uranian satellites were created by Ivan Rivera
> from JPL data.  His Celestia page is
> http://bruckner.homelinux.net/celestia.html

Page does not exist anymore.
JPL data is problematic (see above).

> The Enceladus map is a mosaic of Voyager images assembled by Phil
> Stooke, then modified slightly to cover a gap in the south polar
> region.

http://www.ssc.uwo.ca/geography/spacemap/index.htm
---snip---
These maps are all in the public domain.
---snip---

Seems OK.

> The asteroid.jpg texture was created by Paul Roberts.

Could not find a website so no information available

> 3D asteroid models of Toutatis, Kleopatra, and Geographos are courtesy
> of Scott Hudson, Washington State University.  His site is:
> http://www.eecs.wsu.edu/~hudson/Research/Asteroids/4179/index.html

http://www.eecs.wsu.edu/~hudson/Research/Asteroids/use.htm does not
exist.
http://www.eecs.wsu.edu/~hudson/Research/Asteroids/models.html states:
---snip---
The digital asteroid models available on this page are in one sense the
"final deliverable" from this research program. I make them available
here for scientific research, educational, and private uses. In other
words feel free to use these models for any non-commerical, non-profit
use. Do not use them for any commerical purpose without written
permission from Scott Hudson (toutatian@yahoo.com) and/or NASA.
---snip---

Clearly not free. Problematic for Debian.

> 3D models of Phobos, Deimos, Amalthea, Proteus, Vesta, Ida,
> Mathilde, and Gaspra are derived from Phil Stooke's Cartography of
> Non-Spherical Worlds:  http://publish.uwo.ca/~pjstooke/plancart.htm

---snip---
This version of the file, with labels intact, is in the public domain.
---snip---

Seems OK.

> Grant Hutchison supplied the correct orientations for the major
> planets,
> their moons, and a number of asteroids.

I don't know if that is copyrightable at all.

> The Mac OS X icon was designed by Chris Alford
> (http://www.chrisalford.com/)

Couldn't even find this but no info on the webpage.

> The star database (stars.dat) was derived from the ESA's HIPPARCOS
> data set.

Seems to be in the public domain but I can't tell for sure.
http://www.kdedevelopers.org/node/view/48 states that he can, so I'll
get in touch with him.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

If this is all that was contributed by others that would be great. All
of these seem solvable except the JPL images.

The work by "Scott Hudson, Washington State University" seems minor and
it should be possible to split it out or leave it out alltogether.

To summarize: The biggest problem is the use of JPL images which are
clearly not free at all. It also seems that this is not going to be
changed. The same for images that incorporate JPL images.

There are two possibilities to rectify this in Debian.
1) Split out the JPL-"infected" data into a seperate package. This would
then be moved to non-free. Celestia would remain in Debian main. The
question is: Does celestia even work without this data?
2) Move all the data to non-free and celestia to contrib (as it won't
work without the non-free data).

It may also be possible that Debian is not allowed to redistribute the
JPL images at all, but I'll find that out.


Thank you for your time and effort,
 Mika



Information forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon):
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to mmagallo@debian.org (Marcelo E. Magallon). Full text and rfc822 format available.

Message #31 received at 174456@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Mika Fischer <mika_fischer@gmx.net>
Cc: Chris Laurel <claurel@www.shatters.net>, "Marcelo E. Magallon" <mmagallo@debian.org>, 174456@bugs.debian.org, celestia-developers@lists.sourceforge.net
Subject: Re: [Celestia-developers] Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 1 Sep 2003 18:12:28 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 01, 2003 at 03:33:28PM +0200, Mika Fischer wrote:
> Hi, Chris. Hi, all the others!
> 
> Marcello orphaned celestia and I'm the new maintainer.
> Celestia's biggest problem is the legal status of the textures so I'm
> trying to clarify some of that.
> 
> First I'll go through your mail from December:
> * Chris Laurel <claurel@www.shatters.net> [2003-07-03 09:53]:
> > The HD catalog is *not* used by Celestia, so there's no problem here . . . 
> > Celestia does use the HD catalog numbers, which were correllated with 
> > Hipparcos stars by the ESA.  But, the star data included with Celestia is 
> > entirely derived from the Hipparcos catalog.
> 
> Very good. The Hipparcos Catalog seems to be in the public domain (I'll
> try to get a clear source for this, but I assume it is true) and thus we
> can drop this issue.

Yes, the Hipparcos catalog is, indeed, free, it is "kind of" in the 
public domain, but ESA wants acknowledgment (whic is ok) From 
#198499:

"Miguel Coca (spacechart's upstream maintainer) contacted the ESA 
people and they did say that he was free to use this catalogue in 
spacechart, redistribute it and modify it, but they did not mention it was 
in the public domain (please see spacechart's debian/copyright file for 
more information on this)."

and, later in the bug report:

"(answer from Jason's mail from Karen O'Flaherty from ESA. )

:  Hello Jason,
:
:  The Hipparcos data is in the public domain and may be used
:  by anyone. We do request however that use of the catalogue data
:   is acknowledged. Something similar to "This application
:  makes use of the  Hipparcos and Tycho catalogues (ESA, 1997)"
:  could be appropriate, and a link to the ESA Hipparcos web pages
:  (http://sci.esa.int/hipparcos) would also be appreciated.
:
:  Can I enquire what you would like to use the catalogue for?
:
:  Regards,
:  Karen O'Flaherty"

That's why kstars upstream is considering using that catalogue (instead of 
SAO's in his new release). It would be nice, however, if the three upstream 
authors coordinated the use of the catalogue data so that it could be 
placed in a single location in Debian by another package (say 
/usr/share/stardata) instead of (or at the same time than) providing it 
upstream. Related to this please check the way Starplot [1] does this. The 
Debian package can make use of the gliese/yale star data catalogues (which 
are non-free) if available (files are placed under 
/usr/share/stardata/${starcatalogue} and analysed on post installation)

That's just to avoid having kstarts/spacechart/celestia use the same 
catalogue and replicate data. But then again, maybe it's something that has 
to be coordinated between the Debian maintainers.

Regards

Javi


[1] http://packages.debian.org/unstable/science/starplot.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, mmagallo@debian.org (Marcelo E. Magallon):
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Mika Fischer <mika_fischer@gmx.net>:
Extra info received and forwarded to list. Copy sent to mmagallo@debian.org (Marcelo E. Magallon). Full text and rfc822 format available.

Message #36 received at 174456@bugs.debian.org (full text, mbox):

From: Mika Fischer <mika_fischer@gmx.net>
To: Chris Laurel <claurel@www.shatters.net>
Cc: "Marcelo E. Magallon" <mmagallo@debian.org>, Javier Fernandez-Sanguino Pena <jfs@dat.etsit.upm.es>, 174456@bugs.debian.org, celestia-developers@lists.sourceforge.net
Subject: Re: [Celestia-developers] Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 1 Sep 2003 18:34:50 +0200
* Mika Fischer <mika_fischer@gmx.net> [2003-09-01 15:33]:
> So the important thing to do is to clearly state which parts of celestia
> are not under the GPL but licensed otherwise.
> 
> If you have to do the same with works in the public domain I don't know.
> I'll try to find that out.

It seems like this is not necessary but it would certainly be a nice
gesture towards the authors and you are also on the safe side.

Cheers,
 Mika



Information forwarded to debian-bugs-dist@lists.debian.org, Mika Fischer <mf@debian.org>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Mika Fischer <mf@debian.org>. Full text and rfc822 format available.

Message #41 received at 174456@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 174456@bugs.debian.org
Subject: Re: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Sun, 09 Nov 2003 12:09:38 +0100
This bug is the only thing blocking the latest celestia package from
entering testing.  Is this intentional?

This is the current info on
<URL:http://packages.qa.debian.org/c/celestia.html>.

 - 62 days old (needed 10 days)
 - celestia (source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel,
   powerpc, s390, sparc) is buggy! (1 > 0)
 - Not considered

Is the license issue solved?



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Mika Fischer <mf@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #46 received at 174456@bugs.debian.org (full text, mbox):

From: Mika Fischer <mf@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 174456@bugs.debian.org
Subject: Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 10 Nov 2003 14:31:12 +0100
Hi, Petter!

* Petter Reinholdtsen <pere@hungry.com> [2003-11-09 12:22]:
> This bug is the only thing blocking the latest celestia package from
> entering testing.  Is this intentional?

Well not intentional, but I can't do anything about it...

> Is the license issue solved?

No, and that's the problem. I also don't have the time to find out and
contact every contributor of textures or models to claryify the
license situation.

But you're right that this has gone on too long. I'm going to move the
package to contrib (executables) and non-free (data) respectively in
the near future.

If upstream gets the licensing issues resolved it can be moved back...

Cheers,
 Mika



Information forwarded to debian-bugs-dist@lists.debian.org, Mika Fischer <mf@debian.org>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Mika Fischer <mf@debian.org>. Full text and rfc822 format available.

Message #51 received at 174456@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 174456@bugs.debian.org
Subject: Re: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: 10 Nov 2003 19:37:44 +0100
[Mika Fischer]
> Hi, Petter!

Hi. :)

> But you're right that this has gone on too long. I'm going to move
> the package to contrib (executables) and non-free (data)
> respectively in the near future.

Is there any part of the data you can make sure have a free license?
If I understand you correctly, you want to move the executable into
contrib because it depend on non-free data.  Is this correct?  Would
it be possible to provide a small dataset which is free, and a larger
dataset which is non-free?  This way, the executables could stay in
main.

Also, is the dataset architecture independent?  The non-free archive
isn't built automatically, so one would need to build it manually on
all archs if it isn't.

> If upstream gets the licensing issues resolved it can be moved back...

I guess that is the easiest way to handle this.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Mika Fischer <mf@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #56 received at 174456@bugs.debian.org (full text, mbox):

From: Mika Fischer <mf@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 174456@bugs.debian.org
Subject: Re: Bug#174456: celestia: Please clarify copyright license of astronomical and image data used by the software
Date: Mon, 10 Nov 2003 20:00:33 +0100
Hi!

* Petter Reinholdtsen <pere@hungry.com> [2003-11-10 19:49]:
> Is there any part of the data you can make sure have a free license?

Yes, there is. Mainly the star catalog.
I've done some analysis a while ago the results of which can be found
at: http://people.debian.org/~mf/celestia/license/

> If I understand you correctly, you want to move the executable into
> contrib because it depend on non-free data.  Is this correct?

Yes.

> Would it be possible to provide a small dataset which is free, and a
> larger dataset which is non-free? 

I thought about this already. The question is whether celestia will
work at all with some of the data missing. I'll check that out before
I move the package.
I just noticed that I already posed this exact question to the
upstream maintainer but got no answer yet...

> This way, the executables could stay in main.

Yes, but then I'll also have to split the source package *sigh* :/
But I agree that this is preferable to removing celestia entirely from
main.

> Also, is the dataset architecture independent?

Yes.

> The non-free archive isn't built automatically, so one would need to
> build it manually on all archs if it isn't.

No problem AFAICT.

Cheers,
 Mika



Information forwarded to debian-bugs-dist@lists.debian.org, Mika Fischer <mf@debian.org>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to neroden@twcny.rr.com:
Extra info received and forwarded to list. Copy sent to Mika Fischer <mf@debian.org>. Full text and rfc822 format available.

Message #61 received at 174456@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 174456@bugs.debian.org
Subject: Status of celestia/copyrights....
Date: Thu, 4 Dec 2003 19:06:14 -0500
So, does Celestia work with just the free star catalog?

If yes, how's the package splitting going?

If no, how's the package moving going?

I ask only because the last message to this bug was on November 11th.  Oh, by 
the way, it looks like the archive is open for uploads again.  :-)



Tags added: sarge-ignore Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: woody Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mathias Weyland <mathias@weyland.ch>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Mathias Weyland <mathias@weyland.ch>. Full text and rfc822 format available.

Message #74 received at 174456@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <174456@bugs.debian.org>
Subject: celestia: troublesome licence changed?
Date: Sat, 01 Oct 2005 12:34:05 +0100
As mentioned on debian-legal last month in the thread starting
http://lists.debian.org/debian-legal/2005/09/msg00234.html
the JPL terms may have improved, but maybe are still not quite
following DFSG.

Hope that helps whoever is working on this problem,
-- 
MJ Ray (slef), K. Lynn, England, email see http://mjr.towers.org.uk/



Blocking bugs of 313082 added: 174456 Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #81 received at 174456@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 174456@bugs.debian.org
Subject: Re: celestia: Please clarify copyright license of textures/image data
Date: Mon, 28 Apr 2008 16:12:16 +0200
Is there any progress on getting this solved in time for Lenny?
Schools using Debian Edu are very interested in using Celestia, so it
would be great to have a version in Lenny.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Guus Sliepen <guus@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Javier Fernandez-Sanguino Pena" <jfs@dat.etsit.upm.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #86 received at 174456-close@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 174456-close@bugs.debian.org
Subject: Bug#174456: fixed in celestia 1.5.1+dfsg1-1
Date: Sat, 17 May 2008 22:17:07 +0000
Source: celestia
Source-Version: 1.5.1+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
celestia, which is due to be installed in the Debian FTP archive:

celestia-common_1.5.1+dfsg1-1_all.deb
  to pool/main/c/celestia/celestia-common_1.5.1+dfsg1-1_all.deb
celestia-glut_1.5.1+dfsg1-1_amd64.deb
  to pool/main/c/celestia/celestia-glut_1.5.1+dfsg1-1_amd64.deb
celestia-gnome_1.5.1+dfsg1-1_amd64.deb
  to pool/main/c/celestia/celestia-gnome_1.5.1+dfsg1-1_amd64.deb
celestia-kde_1.5.1+dfsg1-1_amd64.deb
  to pool/main/c/celestia/celestia-kde_1.5.1+dfsg1-1_amd64.deb
celestia_1.5.1+dfsg1-1.diff.gz
  to pool/main/c/celestia/celestia_1.5.1+dfsg1-1.diff.gz
celestia_1.5.1+dfsg1-1.dsc
  to pool/main/c/celestia/celestia_1.5.1+dfsg1-1.dsc
celestia_1.5.1+dfsg1-1_all.deb
  to pool/main/c/celestia/celestia_1.5.1+dfsg1-1_all.deb
celestia_1.5.1+dfsg1.orig.tar.gz
  to pool/main/c/celestia/celestia_1.5.1+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 174456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guus Sliepen <guus@debian.org> (supplier of updated celestia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 May 2008 23:09:35 +0200
Source: celestia
Binary: celestia-common celestia celestia-kde celestia-gnome celestia-glut
Architecture: source amd64 all
Version: 1.5.1+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Guus Sliepen <guus@debian.org>
Changed-By: Guus Sliepen <guus@debian.org>
Description: 
 celestia   - A real-time visual space simulation
 celestia-common - Datafiles for Celestia, a real-time visual space simulation
 celestia-glut - A real-time visual space simulation (GLUT frontend)
 celestia-gnome - A real-time visual space simulation (GNOME frontend)
 celestia-kde - A real-time visual space simulation (KDE frontend)
Closes: 137769 174456
Changes: 
 celestia (1.5.1+dfsg1-1) unstable; urgency=low
 .
   * New upstream release.
   * Remove textures and models with unclear license status from the source:
     - maps taken from http://maps.jpl.nasa.gov/
     - models of Toutatis, Kleopatra and Geographos
     Closes: #174456
   * Suggest celestia-common-nonfree package containing the above mentioned
     textures and models.
   * Revert to acinclude.m4 from celestia 1.5.0 in order to build celestia-kde.
   * Use stdint.h for architecture independent data types. Again.
     Closes: #137769
Checksums-Sha1: 
 01aa5fe26b5c37a12dddb36c199a781b02a8838d 1290 celestia_1.5.1+dfsg1-1.dsc
 0b202b0714bd2ed96fa534067da4598629233606 24548630 celestia_1.5.1+dfsg1.orig.tar.gz
 7e241a0743053c9e0b5141f58cb0ef43c79469ed 252306 celestia_1.5.1+dfsg1-1.diff.gz
 89db0d00b9aa6fc1332a14a90ad22c1ae45d39b2 1685310 celestia-kde_1.5.1+dfsg1-1_amd64.deb
 698663a80aff2da1cdbdcbfc71425eae8a58f25a 1044220 celestia-gnome_1.5.1+dfsg1-1_amd64.deb
 60247abe9bacb51947766ba0a096ef60e8803406 862278 celestia-glut_1.5.1+dfsg1-1_amd64.deb
 6682dc7f644d1a41ed0a69ae063ab06b92bb3231 18496750 celestia-common_1.5.1+dfsg1-1_all.deb
 954dfec7cca04d22114124397ce0c5a7c7bec6bf 33960 celestia_1.5.1+dfsg1-1_all.deb
Checksums-Sha256: 
 7e29f8df18911bf1dabea3b255d283eba5c2955d271a17a858d5019006135e24 1290 celestia_1.5.1+dfsg1-1.dsc
 d613cb572d5a7c59353fc885982504207f4af91513e75e83ef906d3622be1fe7 24548630 celestia_1.5.1+dfsg1.orig.tar.gz
 2b4ec2ffe51b0c6d374ab6170318620cce7d1a01248325e6330da56b84a36f24 252306 celestia_1.5.1+dfsg1-1.diff.gz
 5a43af236b4d88f0990c1b97d3122129a98178f55665465e9b626483456b69dd 1685310 celestia-kde_1.5.1+dfsg1-1_amd64.deb
 2327273c2b110c2d4491e8ad910e8f36afac5bf11507877cc5fa23c3e8202b4a 1044220 celestia-gnome_1.5.1+dfsg1-1_amd64.deb
 c8b2cf3a086ff83642ac331f64f555024763a6950ff5ddec8d7cb31873895603 862278 celestia-glut_1.5.1+dfsg1-1_amd64.deb
 176b77ececfc6969ee212d073b4ce9a42a5ed4246aa0a8536a44116287805a43 18496750 celestia-common_1.5.1+dfsg1-1_all.deb
 ee243064ef83c6de9921a7f029edcd03ec806214f497f8e917532b5736d14c0f 33960 celestia_1.5.1+dfsg1-1_all.deb
Files: 
 b9a25412053b8f588b84a04334e72294 1290 science optional celestia_1.5.1+dfsg1-1.dsc
 297411db430005ab14b3894edfc8653e 24548630 science optional celestia_1.5.1+dfsg1.orig.tar.gz
 52d10646bcd44ce6fd46c6d09c26ffe3 252306 science optional celestia_1.5.1+dfsg1-1.diff.gz
 60794e5f98827d6f6708a85ebcee9d07 1685310 kde optional celestia-kde_1.5.1+dfsg1-1_amd64.deb
 e41545bcfa7a8b106b1e7a930484e252 1044220 gnome optional celestia-gnome_1.5.1+dfsg1-1_amd64.deb
 07f49f790c2a906e90fc9923beed7fac 862278 science optional celestia-glut_1.5.1+dfsg1-1_amd64.deb
 592523bfc51b88e0e5f689dbc6765e76 18496750 science optional celestia-common_1.5.1+dfsg1-1_all.deb
 6625731df18cd61a78afcb81639b7812 33960 science optional celestia_1.5.1+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIL065AxLow12M2nsRAobaAJ44WaFxa3/4EDcNIdJOHcRO/8V5NACePmu+
Hvs4ehST//wIYXPMwl9vpJA=
=W7YR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Broadwell <geoff@broadwell.org>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #91 received at 174456@bugs.debian.org (full text, mbox):

From: Geoffrey Broadwell <geoff@broadwell.org>
To: Debian Bug Tracking System <174456@bugs.debian.org>
Subject: Planet textures moved to 'celestia-common-nonfree', which doesn't exist.
Date: Sat, 31 May 2008 10:05:23 -0700
Package: celestia-common
Version: 1.5.1+dfsg1-1
Followup-For: Bug #174456


This version supposedly moved all of the data with unclear licenses
to 'celestia-common-nonfree', but that package doesn't seem to exist.
Nor are there instructions (that I can find) describing how to acquire
and install that data.

Which is ... suboptimal ... when trying to show one's kids what Jupiter
or even Earth's moon looks like.  :-)


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#174456; Package celestia. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #96 received at 174456@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Geoffrey Broadwell <geoff@broadwell.org>, 174456@bugs.debian.org
Subject: Re: Bug#174456: Planet textures moved to 'celestia-common-nonfree', which doesn't exist.
Date: Sat, 31 May 2008 22:18:13 +0200
[Message part 1 (text/plain, inline)]
On Sat, May 31, 2008 at 10:05:23AM -0700, Geoffrey Broadwell wrote:

> This version supposedly moved all of the data with unclear licenses
> to 'celestia-common-nonfree', but that package doesn't seem to exist.
> Nor are there instructions (that I can find) describing how to acquire
> and install that data.
> 
> Which is ... suboptimal ... when trying to show one's kids what Jupiter
> or even Earth's moon looks like.  :-)

A celestia-common-nonfree package has been uploaded to Debian's non-free
section at the same time as the DFSG-compliant celestia-common, but the
-nonfree package has yet to be accepted for inclusion in Debian's
archives by the ftp-masters. When it is accepted, you should be able to
just apt-get install it.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jun 2008 07:33:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:13:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.